| Verb | URI | Description | |||||
| GET | https://identity.api.rackspacecloud.com/ | For a US-based account, retrieve a list of Cloud Auth versions. | |||||
| GET | https://lon.identity.api.rackspacecloud.com/ | For a UK-based account, retrieve a list of Cloud Auth versions. | |||||
Normal Response Code(s): 200, 203
Error Response Code(s): badRequest (400), authFault (500), serviceUnavailable (503)
Your application can programmatically determine available API versions by performing a GET on the root URL as shown in the table above. For a US-based account, https://identity.api.rackspacecloud.com/ is the root URL.
This operation does not require a request body.
Example 3.5. API Versions Response: XML
<?xml version="1.0" encoding="UTF-8"?>
<versions xmlns="http://docs.openstack.org/common/api/v1.0"
xmlns:atom="http://www.w3.org/2005/Atom">
<version id="v1.0" status="DEPRECATED"
updated="2009-10-09T11:30:00Z">
<atom:link rel="self"
href="https://identity.api.rackspacecloud.com/v1.0/"/>
</version>
<version id="v1.1" status="CURRENT"
updated="2010-12-12T18:30:02.25Z">
<atom:link rel="self"
href="https://identity.api.rackspacecloud.com/v1.1/"/>
</version>
</versions>
Example 3.6. API Versions Response: JSON
{
"versions" : {
"values" : [
{
"id" : "v1.0",
"status" : "DEPRECATED",
"updated" : "2009-10-09T11:30:00Z",
"links": [
{
"rel" : "self",
"href" : "https://identity.api.rackspacecloud.com/v1.0/"
}
]
},
{
"id" : "v1.1",
"status" : "CURRENT",
"updated" : "2010-12-12T18:30:02.25Z",
"links": [
{
"rel" : "self",
"href" : "https://identity.api.rackspacecloud.com/v1.1/"
}
]
}
]
}
}

